import React from "react";
import { VoiceMessageRecording } from "../../../audio/VoiceMessageRecording";
interface IProps {
    recorder: VoiceMessageRecording;
}
interface IState {
    seconds: number;
}
/**
 * A clock for a live recording.
 */
export default class LiveRecordingClock extends React.PureComponent<IProps, IState> {
    private seconds;
    private scheduledUpdate;
    constructor(props: IProps);
    componentDidMount(): void;
    private updateClock;
    render(): React.ReactNode;
}
export {};
